## ros-dashing-rt-usb-9axisimu-driver 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rt_usb_9axisimu_driver)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()


# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

include_directories(include)

add_library(rt_usb_9axisimu_driver_component SHARED
  src/rt_usb_9axisimu_driver_component.cpp
  src/rt_usb_9axisimu_driver.cpp)
target_compile_definitions(rt_usb_9axisimu_driver_component
  PRIVATE "RT_USB_9AXISIMU_DRIVER_BUILDING_DLL")
ament_target_dependencies(rt_usb_9axisimu_driver_component
  rclcpp
  rclcpp_components
  rclcpp_lifecycle
  sensor_msgs
  std_msgs
  std_srvs)
rclcpp_components_register_nodes(rt_usb_9axisimu_driver_component "rt_usb_9axisimu_driver::Driver")

add_executable(rt_usb_9axisimu_driver src/rt_usb_9axisimu_driver_node.cpp)
target_link_libraries(rt_usb_9axisimu_driver rt_usb_9axisimu_driver_component)
ament_target_dependencies(rt_usb_9axisimu_driver
  rclcpp)

ament_export_interfaces(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)

ament_export_dependencies(rclcpp)
ament_export_dependencies(rclcpp_components)
ament_export_dependencies(rclcpp_lifecycle)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(std_msgs)
ament_export_dependencies(std_srvs)

ament_export_include_directories(include)
ament_export_libraries(
  rt_usb_9axisimu_driver_component)

install(
  DIRECTORY include/
  DESTINATION include
)

install(TARGETS
  rt_usb_9axisimu_driver_component
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

install(TARGETS
  rt_usb_9axisimu_driver
  DESTINATION lib/${PROJECT_NAME})

# launch files
install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

#if(BUILD_TESTING)
#  find_package(ament_lint_auto REQUIRED)
#  ament_lint_auto_find_test_dependencies()
#endif()

ament_package()

=== debian/changelog ===
ros-dashing-rt-usb-9axisimu-driver (2.0.0-2bionic) bionic; urgency=high

  * Migrate to ROS 2 Dashing (#26 <https://github.com/rt-net/rt_usb_9axisimu_driver/issues/26>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Wed, 02 Sep 2020 15:00:00 -0000

ros-dashing-rt-usb-9axisimu-driver (1.0.0-2bionic) bionic; urgency=high

  * Contributors: Daisuke Sato, Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-dashing-rt-usb-9axisimu-driver (0.2.0-2bionic) bionic; urgency=high

  * Close node & port at device plugout
  * Fix wrong data output
  * Fix serial port attributes
  * Add serial port settings after port open()
  * Add required attribute to launch file
  * Fix CMake Warnings
  * Add a port argument to launch file
  * Merge pull request #5 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/5> from pazeshun/secure-read-bytes
    Continue reading until all data comes
  * Continue reading until all data comes
  * Don't use travis-python
  * Fix typo in stddev
  * Merge pull request #2 <https://github.com/Tiryoh/rt_usb_9axisimu_driver/issues/2> from pazeshun/add-travis-test
    Add travis test
  * Add build status to README.md
  * Add .travis.yml
  * Contributors: RT Corp, Shota Aoki, ShotaAk, Shun Hasegawa, pazeshun

 -- RT Corporation <shop@rt-net.jp>  Fri, 20 Dec 2019 15:00:00 -0000

ros-dashing-rt-usb-9axisimu-driver (0.1.2-2bionic) bionic; urgency=high



 -- RT Corporation <shop@rt-net.jp>  Wed, 09 Mar 2016 15:00:00 -0000

ros-dashing-rt-usb-9axisimu-driver (0.1.1-2bionic) bionic; urgency=high

  * update to manage different firmware versions

 -- RT Corporation <shop@rt-net.jp>  Tue, 29 Sep 2015 15:00:00 -0000

ros-dashing-rt-usb-9axisimu-driver (0.1.0-2bionic) bionic; urgency=high

  * first release for ROS indigo

 -- RT Corporation <shop@rt-net.jp>  Fri, 25 Sep 2015 15:00:00 -0000

=== debian/control ===
Source: ros-dashing-rt-usb-9axisimu-driver
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rt-usb-9axisimu-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: The rt_usb_9axisimu_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rt-usb-9axisimu-driver//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
